using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace ColorView
{
   public partial class DisplayColor : UserControl
   {
      private Color _color;

      public Color Color
      {
         get { return _color; }
         set { _color = value; OnColorChanged();  }
      }


      public DisplayColor()
      {
         InitializeComponent();
      }

      private void OnColorChanged()
      {
         colorLabel.BackColor = Color;
         nameText.Text = Color.Name;
         rgbTextBox.Text = string.Format("{0:000}, {1:000}, {2:000}", 
            Color.R, Color.G, Color.B);
         htmlTextBox.Text = string.Format("{0:X2}{1:X2}{2:X2}",
            Color.R, Color.G, Color.B);
      }
   }
}
